cubrid_data_seek
cubrid_errno
CUBRID MySQL Compatibility Functions
PHP Manual

# cubrid_db_name

(PECL CUBRID >= 8.3.1)

cubrid_db_name — Get db name from results of cubrid_list_dbs

### Description

string cubrid_db_name ( array `$result` , int `$index` )

Retrieve the database name from a call to cubrid_list_dbs().

### Parameters

`result`

  The result pointer from a call to cubrid_list_dbs().

`index`

  The index into the result set.

### Return Values

Returns the database name on success, and `FALSE` on failure. If `FALSE` is returned, use cubrid_error() to determine the nature of the error.

### Examples

Example #1 cubrid_db_name() example

`<?php
error_reporting(E_ALL);
$conn = cubrid_connect('localhost', 33000, 'demodb', 'dba', '');
$db_list = cubrid_list_dbs($conn);
$i = 0;
$cnt = count($db_list);
while ($i < $cnt) {
echo cubrid_db_name($db_list, $i) . "\n";
$i++;
}
?>`

The above example will output:

    demodb

### See Also

- cubrid_list_dbs() - Return an array with the list of all existing CUBRID databases

cubrid_data_seek
cubrid_errno
CUBRID MySQL Compatibility Functions
PHP Manual